List of all members
clan::XMLToken Class Reference
clanCore XML

XML token in a XML file. More...

`#include <xml_token.h>`

## Public Member Functions
Construction
| XMLToken ()

## Attributes
enum | TokenType { NULL_TOKEN = 0, ELEMENT_TOKEN = 1, TEXT_TOKEN = 3, CDATA_SECTION_TOKEN = 4, ENTITY_REFERENCE_TOKEN = 5, ENTITY_TOKEN = 6, PROCESSING_INSTRUCTION_TOKEN = 7, COMMENT_TOKEN = 8, DOCUMENT_TYPE_TOKEN = 10, NOTATION_TOKEN = 12 }
enum | TokenVariant { BEGIN = 1, END = 2, SINGLE = 3 }
typedef std::pair< std::string, std::string > | Attribute
TokenType | type
| The token type. More...
TokenVariant | variant
| The token variant. More...
std::string | name
| The name of the token. More...
std::string | value
| Returns the value of the token. More...
std::vector< Attribute > | attributes
| All the attributes attached to the token. More...

## Detailed Description

XML token in a XML file.

The documentation for this class was generated from the following file:

- xml_token.h